
package com.sun.ws.rest.impl;

import com.sun.localization.Localizable;
import com.sun.localization.LocalizableMessageFactory;
import com.sun.localization.Localizer;


/**
 * Defines string formatting method for each constant in the resource file
 * 
 */
public final class ImplMessages {

    private final static LocalizableMessageFactory messageFactory = new LocalizableMessageFactory("com.sun.ws.rest.impl.impl");
    private final static Localizer localizer = new Localizer();

    public static Localizable localizableQUALITY_GREATER_THAN_ONE(Object arg0) {
        return messageFactory.getMessage("quality.greater.than.one", arg0);
    }

    /**
     * Quality value "{0}" is greater than 1.
     * 
     */
    public static String QUALITY_GREATER_THAN_ONE(Object arg0) {
        return localizer.localize(localizableQUALITY_GREATER_THAN_ONE(arg0));
    }

    public static Localizable localizableERROR_PARSING_JSON_OBJECT() {
        return messageFactory.getMessage("error.parsing.json.object");
    }

    /**
     * Error parsing JSON object.
     * 
     */
    public static String ERROR_PARSING_JSON_OBJECT() {
        return localizer.localize(localizableERROR_PARSING_JSON_OBJECT());
    }

    public static Localizable localizableDEFAULT_COULD_NOT_PROCESS_METHOD(Object arg0, Object arg1) {
        return messageFactory.getMessage("default.could.not.process.method", arg0, arg1);
    }

    /**
     * Default value, {0} could not be processed by method {1}.
     * 
     */
    public static String DEFAULT_COULD_NOT_PROCESS_METHOD(Object arg0, Object arg1) {
        return localizer.localize(localizableDEFAULT_COULD_NOT_PROCESS_METHOD(arg0, arg1));
    }

    public static Localizable localizableNESTED_ERROR(Object arg0) {
        return messageFactory.getMessage("nested.error", arg0);
    }

    /**
     * NESTED ERROR: {0}.
     * 
     */
    public static String NESTED_ERROR(Object arg0) {
        return localizer.localize(localizableNESTED_ERROR(arg0));
    }

    public static Localizable localizableERROR_PARSING_JSON_ARRAY() {
        return messageFactory.getMessage("error.parsing.json.array");
    }

    /**
     * Error parsing JSON array.
     * 
     */
    public static String ERROR_PARSING_JSON_ARRAY() {
        return localizer.localize(localizableERROR_PARSING_JSON_ARRAY());
    }

    public static Localizable localizableFAILED_TO_CREATE_WEB_RESOURCE(Object arg0) {
        return messageFactory.getMessage("failed.to.create.web.resource", arg0);
    }

    /**
     * Failed to create Web resource: {0}.
     * 
     */
    public static String FAILED_TO_CREATE_WEB_RESOURCE(Object arg0) {
        return localizer.localize(localizableFAILED_TO_CREATE_WEB_RESOURCE(arg0));
    }

    public static Localizable localizableILLEGAL_PROVIDER_CLASS_NAME(Object arg0) {
        return messageFactory.getMessage("illegal.provider.class.name", arg0);
    }

    /**
     * Illegal provider-class name: {0}.
     * 
     */
    public static String ILLEGAL_PROVIDER_CLASS_NAME(Object arg0) {
        return localizer.localize(localizableILLEGAL_PROVIDER_CLASS_NAME(arg0));
    }

    public static Localizable localizableERROR_PROCESSING_METHOD(Object arg0, Object arg1) {
        return messageFactory.getMessage("error.processing.method", arg0, arg1);
    }

    /**
     * Error processing method, {0}, for WebResourceInvoker, {1}.
     * 
     */
    public static String ERROR_PROCESSING_METHOD(Object arg0, Object arg1) {
        return localizer.localize(localizableERROR_PROCESSING_METHOD(arg0, arg1));
    }

    public static Localizable localizableBAD_URITEMPLATE(Object arg0, Object arg1) {
        return messageFactory.getMessage("bad.uritemplate", arg0, arg1);
    }

    /**
     * Web resource, "{0}": URI template "{1}" of @URITempalte could not be processed on Web resource.
     * 
     */
    public static String BAD_URITEMPLATE(Object arg0, Object arg1) {
        return localizer.localize(localizableBAD_URITEMPLATE(arg0, arg1));
    }

    public static Localizable localizableRESOURCE_NOT_ACCEPTABLE(Object arg0, Object arg1, Object arg2) {
        return messageFactory.getMessage("resource.not.acceptable", arg0, arg1, arg2);
    }

    /**
     * Resource, {0}, with method, {1}, is returning a MIME type, "{2}", that is not acceptable.
     * 
     */
    public static String RESOURCE_NOT_ACCEPTABLE(Object arg0, Object arg1, Object arg2) {
        return localizer.localize(localizableRESOURCE_NOT_ACCEPTABLE(arg0, arg1, arg2));
    }

    public static Localizable localizableGENERIC_TYPE_NOT_SUPPORTED(Object arg0, Object arg1) {
        return messageFactory.getMessage("generic.type.not.supported", arg0, arg1);
    }

    /**
     * Generic type, {0}, not support for parameter {1}.
     * 
     */
    public static String GENERIC_TYPE_NOT_SUPPORTED(Object arg0, Object arg1) {
        return localizer.localize(localizableGENERIC_TYPE_NOT_SUPPORTED(arg0, arg1));
    }

    public static Localizable localizableBAD_CONTENT_TYPE(Object arg0) {
        return messageFactory.getMessage("bad.content.type", arg0);
    }

    /**
     * The HTTP header field "Content-Type" with value "{0}" could not be parsed.
     * 
     */
    public static String BAD_CONTENT_TYPE(Object arg0) {
        return localizer.localize(localizableBAD_CONTENT_TYPE(arg0));
    }

    public static Localizable localizableNOT_VALID_HTTPMETHOD(Object arg0, Object arg1, Object arg2) {
        return messageFactory.getMessage("not.valid.httpmethod", arg0, arg1, arg2);
    }

    /**
     * Method, {0}, annotated with {1} of resource, {2}, is not recognized as valid Java method annotated with @HttpMethod.
     * 
     */
    public static String NOT_VALID_HTTPMETHOD(Object arg0, Object arg1, Object arg2) {
        return localizer.localize(localizableNOT_VALID_HTTPMETHOD(arg0, arg1, arg2));
    }

    public static Localizable localizableERROR_WRITING_JSON_OBJECT() {
        return messageFactory.getMessage("error.writing.json.object");
    }

    /**
     * Error writing JSON object.
     * 
     */
    public static String ERROR_WRITING_JSON_OBJECT() {
        return localizer.localize(localizableERROR_WRITING_JSON_OBJECT());
    }

    public static Localizable localizableBAD_CLASS_CONSUMEMIME(Object arg0, Object arg1) {
        return messageFactory.getMessage("bad.class.consumemime", arg0, arg1);
    }

    /**
     * Web resource, "{0}": MIME types "{1}" of @ConsumeMime could not be processed on Web resource.
     * 
     */
    public static String BAD_CLASS_CONSUMEMIME(Object arg0, Object arg1) {
        return localizer.localize(localizableBAD_CLASS_CONSUMEMIME(arg0, arg1));
    }

    public static Localizable localizableBAD_METHOD_CONSUMEMIME(Object arg0, Object arg1, Object arg2) {
        return messageFactory.getMessage("bad.method.consumemime", arg0, arg1, arg2);
    }

    /**
     * Web resource, "{0}": MIME types "{1}" of @ConsumeMime could not be processed on method "{2} of Web Resource.
     * 
     */
    public static String BAD_METHOD_CONSUMEMIME(Object arg0, Object arg1, Object arg2) {
        return localizer.localize(localizableBAD_METHOD_CONSUMEMIME(arg0, arg1, arg2));
    }

    public static Localizable localizableILLEGAL_INITIAL_CAPACITY(Object arg0) {
        return messageFactory.getMessage("illegal.initial.capacity", arg0);
    }

    /**
     * Illegal initial capacity: {0}.
     * 
     */
    public static String ILLEGAL_INITIAL_CAPACITY(Object arg0) {
        return localizer.localize(localizableILLEGAL_INITIAL_CAPACITY(arg0));
    }

    public static Localizable localizableERROR_WRITING_JSON_ARRAY() {
        return messageFactory.getMessage("error.writing.json.array");
    }

    /**
     * Error writing JSON array.
     * 
     */
    public static String ERROR_WRITING_JSON_ARRAY() {
        return localizer.localize(localizableERROR_WRITING_JSON_ARRAY());
    }

    public static Localizable localizableOBJECT_NOT_A_WEB_RESOURCE(Object arg0) {
        return messageFactory.getMessage("object.not.a.webResource", arg0);
    }

    /**
     * Object, "{0}": is not a Web resource since it is not annotated with @URITemplate.
     * 
     */
    public static String OBJECT_NOT_A_WEB_RESOURCE(Object arg0) {
        return localizer.localize(localizableOBJECT_NOT_A_WEB_RESOURCE(arg0));
    }

    public static Localizable localizableQUALITY_MORE_THAN_THREE(Object arg0) {
        return messageFactory.getMessage("quality.more.than.three", arg0);
    }

    /**
     * Quality value "{0}" has more than 3 digits after the decimal point.
     * 
     */
    public static String QUALITY_MORE_THAN_THREE(Object arg0) {
        return localizer.localize(localizableQUALITY_MORE_THAN_THREE(arg0));
    }

    public static Localizable localizableBAD_CONSUMEMIME(Object arg0, Object arg1, Object arg2) {
        return messageFactory.getMessage("bad.consumemime", arg0, arg1, arg2);
    }

    /**
     * Web resource, "{0}": HTTP method "{1}" of @HttpMethod could not be processed on method "{2}" of Web Resource.
     * 
     */
    public static String BAD_CONSUMEMIME(Object arg0, Object arg1, Object arg2) {
        return localizer.localize(localizableBAD_CONSUMEMIME(arg0, arg1, arg2));
    }

    public static Localizable localizableUNABLE_TO_WRITE_MIMEMULTIPART() {
        return messageFactory.getMessage("unable.to.write.mimemultipart");
    }

    /**
     * Unable to write MimeMultipart content.
     * 
     */
    public static String UNABLE_TO_WRITE_MIMEMULTIPART() {
        return localizer.localize(localizableUNABLE_TO_WRITE_MIMEMULTIPART());
    }

    public static Localizable localizableERROR_CREATING_ATOM(Object arg0) {
        return messageFactory.getMessage("error.creating.atom", arg0);
    }

    /**
     * Error creating  Atom object of type "{0}".
     * 
     */
    public static String ERROR_CREATING_ATOM(Object arg0) {
        return localizer.localize(localizableERROR_CREATING_ATOM(arg0));
    }

    public static Localizable localizableERROR_MARSHALLING_ATOM(Object arg0) {
        return messageFactory.getMessage("error.marshalling.atom", arg0);
    }

    /**
     * Error marshalling out Atom object of type "{0}".
     * 
     */
    public static String ERROR_MARSHALLING_ATOM(Object arg0) {
        return localizer.localize(localizableERROR_MARSHALLING_ATOM(arg0));
    }

    public static Localizable localizablePROVIDER_COULD_NOT_BE_CREATED(Object arg0, Object arg1) {
        return messageFactory.getMessage("provider.could.not.be.created", arg0, arg1);
    }

    /**
     * Provider {0} could not be instantiated: {1}
     * 
     */
    public static String PROVIDER_COULD_NOT_BE_CREATED(Object arg0, Object arg1) {
        return localizer.localize(localizablePROVIDER_COULD_NOT_BE_CREATED(arg0, arg1));
    }

    public static Localizable localizableBAD_MIME_TYPE(Object arg0) {
        return messageFactory.getMessage("bad.mime.type", arg0);
    }

    /**
     * The MIME type of the representation with value "{0}" could not be parsed.
     * 
     */
    public static String BAD_MIME_TYPE(Object arg0) {
        return localizer.localize(localizableBAD_MIME_TYPE(arg0));
    }

    public static Localizable localizableERROR_NOT_ATOM_FEED(Object arg0) {
        return messageFactory.getMessage("error.not.atom.feed", arg0);
    }

    /**
     * Feed is Not of type Atom Feed : "{0}".
     * 
     */
    public static String ERROR_NOT_ATOM_FEED(Object arg0) {
        return localizer.localize(localizableERROR_NOT_ATOM_FEED(arg0));
    }

    public static Localizable localizableILLEGAL_LOAD_FACTOR(Object arg0) {
        return messageFactory.getMessage("illegal.load.factor", arg0);
    }

    /**
     * Illegal load factor: {0}.
     * 
     */
    public static String ILLEGAL_LOAD_FACTOR(Object arg0) {
        return localizer.localize(localizableILLEGAL_LOAD_FACTOR(arg0));
    }

    public static Localizable localizableERROR_MARSHALLING_JAXB(Object arg0) {
        return messageFactory.getMessage("error.marshalling.jaxb", arg0);
    }

    /**
     * Error marshalling out JAXB object of type "{0}".
     * 
     */
    public static String ERROR_MARSHALLING_JAXB(Object arg0) {
        return localizer.localize(localizableERROR_MARSHALLING_JAXB(arg0));
    }

    public static Localizable localizableNOT_VALID_DYNAMICRESOLVINGMETHOD(Object arg0, Object arg1, Object arg2) {
        return messageFactory.getMessage("not.valid.dynamicresolvingmethod", arg0, arg1, arg2);
    }

    /**
     * Method, {0}, annotated with URI template {1} of resource, {2}, is not recognized as valid Java method annotated with @URITemplate.
     * 
     */
    public static String NOT_VALID_DYNAMICRESOLVINGMETHOD(Object arg0, Object arg1, Object arg2) {
        return localizer.localize(localizableNOT_VALID_DYNAMICRESOLVINGMETHOD(arg0, arg1, arg2));
    }

    public static Localizable localizableNO_WEBRESOURCECLASS_IN_WEBXML() {
        return messageFactory.getMessage("no.webresourceclass.in.webxml");
    }

    /**
     * No "webresourceclass" specified in web.xml.
     * 
     */
    public static String NO_WEBRESOURCECLASS_IN_WEBXML() {
        return localizer.localize(localizableNO_WEBRESOURCECLASS_IN_WEBXML());
    }

    public static Localizable localizableILLEGAL_CONFIG_SYNTAX() {
        return messageFactory.getMessage("illegal.config.syntax");
    }

    /**
     * Illegal configuration-file syntax.
     * 
     */
    public static String ILLEGAL_CONFIG_SYNTAX() {
        return localizer.localize(localizableILLEGAL_CONFIG_SYNTAX());
    }

    public static Localizable localizableBAD_ACCEPT_FIELD(Object arg0) {
        return messageFactory.getMessage("bad.accept.field", arg0);
    }

    /**
     * The HTTP header field "Accept" with value "{0}" could not be parsed.
     * 
     */
    public static String BAD_ACCEPT_FIELD(Object arg0) {
        return localizer.localize(localizableBAD_ACCEPT_FIELD(arg0));
    }

    public static Localizable localizableRESOURCE_MIMETYPE_NOT_IN_PRODUCE_MIME(Object arg0, Object arg1, Object arg2, Object arg3) {
        return messageFactory.getMessage("resource.mimetype.not.in.produceMime", arg0, arg1, arg2, arg3);
    }

    /**
     * Resource, {0}, with method, {1}, is returning a MIME type, "{2}", that is acceptable but not a member of @ProduceMime, {3}.
     * 
     */
    public static String RESOURCE_MIMETYPE_NOT_IN_PRODUCE_MIME(Object arg0, Object arg1, Object arg2, Object arg3) {
        return localizer.localize(localizableRESOURCE_MIMETYPE_NOT_IN_PRODUCE_MIME(arg0, arg1, arg2, arg3));
    }

    public static Localizable localizableBAD_CLASS_PRODUCEMIME(Object arg0, Object arg1) {
        return messageFactory.getMessage("bad.class.producemime", arg0, arg1);
    }

    /**
     * Web resource, "{0}": MIME types "{1}" of @ProcudeMime could not be processed on Web resource.
     * 
     */
    public static String BAD_CLASS_PRODUCEMIME(Object arg0, Object arg1) {
        return localizer.localize(localizableBAD_CLASS_PRODUCEMIME(arg0, arg1));
    }

    public static Localizable localizableBYTE_ARRAY_CANNOT_BE_NULL() {
        return messageFactory.getMessage("byte.array.cannot.be.null");
    }

    /**
     * data parameter, of type byte[], cannot be null.
     * 
     */
    public static String BYTE_ARRAY_CANNOT_BE_NULL() {
        return localizer.localize(localizableBYTE_ARRAY_CANNOT_BE_NULL());
    }

    public static Localizable localizableBAD_METHOD_PRODUCEMIME(Object arg0, Object arg1, Object arg2) {
        return messageFactory.getMessage("bad.method.producemime", arg0, arg1, arg2);
    }

    /**
     * Web resource, "{0}": MIME types "{1}" of @ProduceMime could not be processed on method "{2} of Web Resource.
     * 
     */
    public static String BAD_METHOD_PRODUCEMIME(Object arg0, Object arg1, Object arg2) {
        return localizer.localize(localizableBAD_METHOD_PRODUCEMIME(arg0, arg1, arg2));
    }

    public static Localizable localizableBAD_METHOD_HTTPMETHOD(Object arg0, Object arg1, Object arg2) {
        return messageFactory.getMessage("bad.method.httpmethod", arg0, arg1, arg2);
    }

    /**
     * Web resource, "{0}": HTTP method "{1}" of @HttpMethod could not be processed on method "{2}" of Web Resource.
     * 
     */
    public static String BAD_METHOD_HTTPMETHOD(Object arg0, Object arg1, Object arg2) {
        return localizer.localize(localizableBAD_METHOD_HTTPMETHOD(arg0, arg1, arg2));
    }

    public static Localizable localizableDEFAULT_COULD_NOT_PROCESS_CONSTRUCTOR(Object arg0, Object arg1) {
        return messageFactory.getMessage("default.could.not.process.constructor", arg0, arg1);
    }

    /**
     * Default value, {0} could not be processed by constructor {1}.
     * 
     */
    public static String DEFAULT_COULD_NOT_PROCESS_CONSTRUCTOR(Object arg0, Object arg1) {
        return localizer.localize(localizableDEFAULT_COULD_NOT_PROCESS_CONSTRUCTOR(arg0, arg1));
    }

    public static Localizable localizablePROVIDER_NOT_FOUND(Object arg0) {
        return messageFactory.getMessage("provider.not.found", arg0);
    }

    /**
     * Provider {0} not found.
     * 
     */
    public static String PROVIDER_NOT_FOUND(Object arg0) {
        return localizer.localize(localizablePROVIDER_NOT_FOUND(arg0));
    }

    public static Localizable localizableEXCEPTION_INVOKING_RESOURCE_METHOD() {
        return messageFactory.getMessage("exception.invoking.resource.method");
    }

    /**
     * Exception invoking Web resource method.
     * 
     */
    public static String EXCEPTION_INVOKING_RESOURCE_METHOD() {
        return localizer.localize(localizableEXCEPTION_INVOKING_RESOURCE_METHOD());
    }

}
